## rust-ttrpc 0.5.2

=== Makefile ===
all: debug check test

#
# Build
#

.PHONY: debug
debug:
	cargo build --verbose --all-targets

.PHONY: release
release:
	cargo build --release

.PHONY: build
build: debug

#
# Tests and linters
#

.PHONY: test
test:
	cargo test --verbose

.PHONY: check
check:
	cargo fmt --all -- --check
	cargo clippy --all-targets --all-features -- -D warnings

.PHONY: deps
deps:
	rustup update stable
	rustup default stable
	rustup component add rustfmt clippy

=== debian/changelog ===
rust-ttrpc (0.5.2-3) unstable; urgency=medium

  * Team upload.
  * Package ttrpc 0.5.2 from crates.io using debcargo 2.6.0
  * Apply upstream patch to support nix 0.26, and adjust depdencies accordingly.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 10 Dec 2022 14:18:48 +0000

rust-ttrpc (0.5.2-2) unstable; urgency=medium

  * Package ttrpc 0.5.2 from crates.io using debcargo 2.5.0
  * No-op source-only re-upload for Debian Testing Migration.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Dec 2021 17:37:01 +0800

rust-ttrpc (0.5.2-1) unstable; urgency=medium

  * Package ttrpc 0.5.2 from crates.io using debcargo 2.5.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Dec 2021 00:02:50 +0800

=== debian/control ===
Source: rust-ttrpc
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-async-trait+default-dev (>= 0.1.24-~~) <!nocheck>,
 librust-byteorder-1+default-dev (>= 1.3.2-~~) <!nocheck>,
 librust-bytes+default-dev (>= 1.1.0-~~) <!nocheck>,
 librust-futures-0.3+default-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.59-~~) <!nocheck>,
 librust-libc-0.2+extra-traits-dev (>= 0.2.59-~~) <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-nix-0+default-dev (>= 0.22-~~) <!nocheck>,
 librust-protobuf-2+default-dev <!nocheck>,
 librust-protobuf-codegen-pure+default-dev (>= 2.14.0-~~) <!nocheck>,
 librust-thiserror-1+default-dev <!nocheck>,
 librust-tokio-1+default-dev <!nocheck>,
 librust-tokio-1+io-util-dev <!nocheck>,
 librust-tokio-1+macros-dev <!nocheck>,
 librust-tokio-1+rt-dev <!nocheck>,
 librust-tokio-1+sync-dev <!nocheck>,
 librust-tokio-1+time-dev <!nocheck>,
 librust-tokio-vsock-0.3+default-dev (>= 0.3.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ttrpc]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ttrpc
Homepage: https://github.com/containerd/ttrpc-rust
X-Cargo-Crate: ttrpc
Rules-Requires-Root: no

Package: librust-ttrpc-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-async-trait+default-dev (>= 0.1.24-~~),
 librust-byteorder-1+default-dev (>= 1.3.2-~~),
 librust-bytes+default-dev (>= 1.1.0-~~),
 librust-futures-0.3+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.59-~~),
 librust-libc-0.2+extra-traits-dev (>= 0.2.59-~~),
 librust-log-0.4+default-dev,
 librust-nix-0+default-dev (>= 0.22-~~),
 librust-protobuf-2+default-dev,
 librust-protobuf-codegen-pure+default-dev (>= 2.14.0-~~),
 librust-thiserror-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+sync-dev,
 librust-tokio-1+time-dev,
 librust-tokio-vsock-0.3+default-dev (>= 0.3.1-~~)
Provides:
 librust-ttrpc+async-dev (= ${binary:Version}),
 librust-ttrpc+default-dev (= ${binary:Version}),
 librust-ttrpc+protobuf-codec-dev (= ${binary:Version}),
 librust-ttrpc+sync-dev (= ${binary:Version}),
 librust-ttrpc-0-dev (= ${binary:Version}),
 librust-ttrpc-0+async-dev (= ${binary:Version}),
 librust-ttrpc-0+default-dev (= ${binary:Version}),
 librust-ttrpc-0+protobuf-codec-dev (= ${binary:Version}),
 librust-ttrpc-0+sync-dev (= ${binary:Version}),
 librust-ttrpc-0.5-dev (= ${binary:Version}),
 librust-ttrpc-0.5+async-dev (= ${binary:Version}),
 librust-ttrpc-0.5+default-dev (= ${binary:Version}),
 librust-ttrpc-0.5+protobuf-codec-dev (= ${binary:Version}),
 librust-ttrpc-0.5+sync-dev (= ${binary:Version}),
 librust-ttrpc-0.5.2-dev (= ${binary:Version}),
 librust-ttrpc-0.5.2+async-dev (= ${binary:Version}),
 librust-ttrpc-0.5.2+default-dev (= ${binary:Version}),
 librust-ttrpc-0.5.2+protobuf-codec-dev (= ${binary:Version}),
 librust-ttrpc-0.5.2+sync-dev (= ${binary:Version})
Description: Rust version of ttrpc - Rust source code
 This package contains the source for the Rust ttrpc crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.5.2 --all-targets --all-features
Features: test-name=rust-ttrpc:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.5.2 --all-targets --no-default-features --features async
Features: test-name=librust-ttrpc-dev:async
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.5.2 --all-targets
Features: test-name=librust-ttrpc-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.5.2 --all-targets --no-default-features --features protobuf-codec
Features: test-name=librust-ttrpc-dev:protobuf-codec
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.5.2 --all-targets --no-default-features --features sync
Features: test-name=librust-ttrpc-dev:sync
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.5.2 --all-targets --no-default-features
Features: test-name=librust-ttrpc-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-ttrpc 0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-all: debug check test
+RUST_VERSION = 1.66
+
+all: debug test
 
 #
 # Build
@@ -21,8 +23,13 @@
 
 .PHONY: test
 test:
+ifeq ($OS,Windows_NT)
+	# async isn't enabled for windows, don't test that feature
 	cargo test --verbose
-
+else
+	cargo test --all-features --verbose
+endif
+	
 .PHONY: check
 check:
 	cargo fmt --all -- --check
@@ -30,6 +37,6 @@
 
 .PHONY: deps
 deps:
-	rustup update stable
-	rustup default stable
+	rustup install $(RUST_VERSION)
+	rustup default $(RUST_VERSION)
 	rustup component add rustfmt clippy

=== debian/changelog ===
rust-ttrpc (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Package ttrpc 0.8.1 from crates.io using debcargo 2.6.1
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 14:07:13 +0000

rust-ttrpc (0.8.1-1) experimental; urgency=medium

  * Team upload.
  * Package ttrpc 0.8.1 from crates.io using debcargo 2.6.1
  * Drop old patches, no longer needed
  * Set collapse_features = true
  * Add patch for nix 0.27 and tokio-vsock 0.5
  * Disable a test which depends on examples that do not appear to be included in the
    crates.io release.
  * Add patch to use protobuf 2.
  * Remove windows-specific dependency.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Feb 2024 12:42:16 +0000

rust-ttrpc (0.5.2-4) unstable; urgency=medium

  * Team upload.
  * Package ttrpc 0.5.2 from crates.io using debcargo 2.6.1
  * Tighten nix dependency, the package is not currently compatible with nix
    0.27.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Feb 2024 10:00:04 +0000

=== debian/control ===
Source: rust-ttrpc
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-byteorder-1+default-dev (>= 1.3.2-~~) <!nocheck>,
 librust-crossbeam-0.8+default-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.59-~~) <!nocheck>,
 librust-libc-0.2+extra-traits-dev (>= 0.2.59-~~) <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-nix-0.27+default-dev <!nocheck>,
 librust-nix-0.27+fs-dev <!nocheck>,
 librust-nix-0.27+socket-dev <!nocheck>,
 librust-protobuf-2+default-dev (>= 2.14-~~) <!nocheck>,
 librust-protobuf-codegen-pure-2+default-dev (>= 2.14-~~) <!nocheck>,
 librust-thiserror-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ttrpc]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ttrpc
Homepage: https://github.com/containerd/ttrpc-rust
X-Cargo-Crate: ttrpc
Rules-Requires-Root: no

Package: librust-ttrpc-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-async-trait-0.1+default-dev (>= 0.1.31-~~),
 librust-byteorder-1+default-dev (>= 1.3.2-~~),
 librust-crossbeam-0.8+default-dev,
 librust-futures-0.3+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.59-~~),
 librust-libc-0.2+extra-traits-dev (>= 0.2.59-~~),
 librust-log-0.4+default-dev,
 librust-nix-0.27+default-dev,
 librust-nix-0.27+fs-dev,
 librust-nix-0.27+socket-dev,
 librust-protobuf-2+default-dev (>= 2.14-~~),
 librust-protobuf-codegen-pure-2+default-dev (>= 2.14-~~),
 librust-thiserror-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+sync-dev,
 librust-tokio-1+time-dev,
 librust-tokio-vsock-0.5+default-dev
Provides:
 librust-ttrpc+async-dev (= ${binary:Version}),
 librust-ttrpc+async-trait-dev (= ${binary:Version}),
 librust-ttrpc+default-dev (= ${binary:Version}),
 librust-ttrpc+futures-dev (= ${binary:Version}),
 librust-ttrpc+sync-dev (= ${binary:Version}),
 librust-ttrpc+tokio-dev (= ${binary:Version}),
 librust-ttrpc+tokio-vsock-dev (= ${binary:Version}),
 librust-ttrpc-0-dev (= ${binary:Version}),
 librust-ttrpc-0+async-dev (= ${binary:Version}),
 librust-ttrpc-0+async-trait-dev (= ${binary:Version}),
 librust-ttrpc-0+default-dev (= ${binary:Version}),
 librust-ttrpc-0+futures-dev (= ${binary:Version}),
 librust-ttrpc-0+sync-dev (= ${binary:Version}),
 librust-ttrpc-0+tokio-dev (= ${binary:Version}),
 librust-ttrpc-0+tokio-vsock-dev (= ${binary:Version}),
 librust-ttrpc-0.8-dev (= ${binary:Version}),
 librust-ttrpc-0.8+async-dev (= ${binary:Version}),
 librust-ttrpc-0.8+async-trait-dev (= ${binary:Version}),
 librust-ttrpc-0.8+default-dev (= ${binary:Version}),
 librust-ttrpc-0.8+futures-dev (= ${binary:Version}),
 librust-ttrpc-0.8+sync-dev (= ${binary:Version}),
 librust-ttrpc-0.8+tokio-dev (= ${binary:Version}),
 librust-ttrpc-0.8+tokio-vsock-dev (= ${binary:Version}),
 librust-ttrpc-0.8.1-dev (= ${binary:Version}),
 librust-ttrpc-0.8.1+async-dev (= ${binary:Version}),
 librust-ttrpc-0.8.1+async-trait-dev (= ${binary:Version}),
 librust-ttrpc-0.8.1+default-dev (= ${binary:Version}),
 librust-ttrpc-0.8.1+futures-dev (= ${binary:Version}),
 librust-ttrpc-0.8.1+sync-dev (= ${binary:Version}),
 librust-ttrpc-0.8.1+tokio-dev (= ${binary:Version}),
 librust-ttrpc-0.8.1+tokio-vsock-dev (= ${binary:Version})
Description: Rust version of ttrpc - Rust source code
 Source code for Debianized Rust crate "ttrpc"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.1 --all-targets --all-features
Features: test-name=rust-ttrpc:@
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.1 --all-targets --no-default-features --features async
Features: test-name=librust-ttrpc-dev:async
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.1 --all-targets --no-default-features --features async-trait
Features: test-name=librust-ttrpc-dev:async-trait
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.1 --all-targets
Features: test-name=librust-ttrpc-dev:default
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.1 --all-targets --no-default-features --features futures
Features: test-name=librust-ttrpc-dev:futures
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.1 --all-targets --no-default-features --features sync
Features: test-name=librust-ttrpc-dev:sync
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.1 --all-targets --no-default-features --features tokio
Features: test-name=librust-ttrpc-dev:tokio
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.1 --all-targets --no-default-features --features tokio-vsock
Features: test-name=librust-ttrpc-dev:tokio-vsock
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.1 --all-targets --no-default-features
Features: test-name=librust-ttrpc-dev:
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.7-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-ttrpc 0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-RUST_VERSION = 1.66
-
 all: debug test
 
 #
@@ -35,8 +33,8 @@
 	cargo fmt --all -- --check
 	cargo clippy --all-targets --all-features -- -D warnings
 
-.PHONY: deps
-deps:
-	rustup install $(RUST_VERSION)
-	rustup default $(RUST_VERSION)
-	rustup component add rustfmt clippy
+.PHONY: check-all
+check-all:
+	$(MAKE) check
+	$(MAKE) -C compiler check
+	$(MAKE) -C ttrpc-codegen check

=== debian/changelog ===
rust-ttrpc (0.8.2-2) unstable; urgency=medium

  * Team upload
  * Build with rust-tokio-vsock 0.7

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Sep 2025 20:38:16 -0400

rust-ttrpc (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * Package ttrpc 0.8.2 from crates.io using debcargo 2.7.0
  * Add patch for nix 0.29

 -- Peter Michael Green <plugwash@debian.org>  Sun, 03 Nov 2024 19:48:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: rust-ttrpc
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
- cargo:native <!nocheck>,
- rustc:native <!nocheck>,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native <!nocheck>,
+ rustc:native (>= 1.70) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-byteorder-1+default-dev (>= 1.3.2-~~) <!nocheck>,
  librust-crossbeam-0.8+default-dev <!nocheck>,
  librust-libc-0.2+default-dev (>= 0.2.59-~~) <!nocheck>,
  librust-libc-0.2+extra-traits-dev (>= 0.2.59-~~) <!nocheck>,
  librust-log-0.4+default-dev <!nocheck>,
- librust-nix-0.27+default-dev <!nocheck>,
- librust-nix-0.27+fs-dev <!nocheck>,
- librust-nix-0.27+socket-dev <!nocheck>,
+ librust-nix-0.29+default-dev <!nocheck>,
+ librust-nix-0.29+fs-dev <!nocheck>,
+ librust-nix-0.29+socket-dev <!nocheck>,
  librust-protobuf-2+default-dev (>= 2.14-~~) <!nocheck>,
  librust-protobuf-codegen-pure-2+default-dev (>= 2.14-~~) <!nocheck>,
  librust-thiserror-1+default-dev <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Shengjing Zhu <zhsj@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ttrpc]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ttrpc
 Homepage: https://github.com/containerd/ttrpc-rust
@@ -39,9 +39,9 @@
  librust-libc-0.2+default-dev (>= 0.2.59-~~),
  librust-libc-0.2+extra-traits-dev (>= 0.2.59-~~),
  librust-log-0.4+default-dev,
- librust-nix-0.27+default-dev,
- librust-nix-0.27+fs-dev,
- librust-nix-0.27+socket-dev,
+ librust-nix-0.29+default-dev,
+ librust-nix-0.29+fs-dev,
+ librust-nix-0.29+socket-dev,
  librust-protobuf-2+default-dev (>= 2.14-~~),
  librust-protobuf-codegen-pure-2+default-dev (>= 2.14-~~),
  librust-thiserror-1+default-dev,
@@ -51,7 +51,7 @@
  librust-tokio-1+rt-dev,
  librust-tokio-1+sync-dev,
  librust-tokio-1+time-dev,
- librust-tokio-vsock-0.5+default-dev
+ librust-tokio-vsock-0.7+default-dev
 Provides:
  librust-ttrpc+async-dev (= ${binary:Version}),
  librust-ttrpc+async-trait-dev (= ${binary:Version}),
@@ -76,13 +76,13 @@
  librust-ttrpc-0.8+sync-dev (= ${binary:Version}),
  librust-ttrpc-0.8+tokio-dev (= ${binary:Version}),
  librust-ttrpc-0.8+tokio-vsock-dev (= ${binary:Version}),
- librust-ttrpc-0.8.1-dev (= ${binary:Version}),
- librust-ttrpc-0.8.1+async-dev (= ${binary:Version}),
- librust-ttrpc-0.8.1+async-trait-dev (= ${binary:Version}),
- librust-ttrpc-0.8.1+default-dev (= ${binary:Version}),
- librust-ttrpc-0.8.1+futures-dev (= ${binary:Version}),
- librust-ttrpc-0.8.1+sync-dev (= ${binary:Version}),
- librust-ttrpc-0.8.1+tokio-dev (= ${binary:Version}),
- librust-ttrpc-0.8.1+tokio-vsock-dev (= ${binary:Version})
+ librust-ttrpc-0.8.2-dev (= ${binary:Version}),
+ librust-ttrpc-0.8.2+async-dev (= ${binary:Version}),
+ librust-ttrpc-0.8.2+async-trait-dev (= ${binary:Version}),
+ librust-ttrpc-0.8.2+default-dev (= ${binary:Version}),
+ librust-ttrpc-0.8.2+futures-dev (= ${binary:Version}),
+ librust-ttrpc-0.8.2+sync-dev (= ${binary:Version}),
+ librust-ttrpc-0.8.2+tokio-dev (= ${binary:Version}),
+ librust-ttrpc-0.8.2+tokio-vsock-dev (= ${binary:Version})
 Description: Rust version of ttrpc - Rust source code
  Source code for Debianized Rust crate "ttrpc"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.2 --all-targets --all-features
Features: test-name=rust-ttrpc:@
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.2 --all-targets --no-default-features --features async
Features: test-name=librust-ttrpc-dev:async
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.2 --all-targets --no-default-features --features async-trait
Features: test-name=librust-ttrpc-dev:async-trait
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.2 --all-targets
Features: test-name=librust-ttrpc-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.2 --all-targets --no-default-features --features futures
Features: test-name=librust-ttrpc-dev:futures
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.2 --all-targets --no-default-features --features sync
Features: test-name=librust-ttrpc-dev:sync
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.2 --all-targets --no-default-features --features tokio
Features: test-name=librust-ttrpc-dev:tokio
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.2 --all-targets --no-default-features --features tokio-vsock
Features: test-name=librust-ttrpc-dev:tokio-vsock
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ttrpc 0.8.2 --all-targets --no-default-features
Features: test-name=librust-ttrpc-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.70), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/ttrpc-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/ttrpc .*/crates/ttrpc/@ANY_VERSION@/download
